# Record Class CAICommandItemAttachmentAdd

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.CAICommandItemAttachmentAdd

Record Components:
  `item` - The item ID
  `file` - The file
  `relation` - The relation

All Implemented Interfaces:
  `CAProtocolMessageType`, `CAICommandType<CAIResponseItemAttachmentAdd>`, `CAIMessageType`, `com.io7m.hibiscus.api.HBMessageType`

public record CAICommandItemAttachmentAdd(CAItemID item, CAFileID file, String relation) extends Record implements CAICommandType<CAIResponseItemAttachmentAdd>
Add an attachment to an item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAICommandItemAttachmentAdd(CAItemID item, CAFileID file, String relation)`
  Add an attachment to an item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAFileID`
  `file()`
  Returns the value of the `file` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAItemID`
  `item()`
  Returns the value of the `item` record component.
  `String`
  `relation()`
  Returns the value of the `relation` record component.
  `Class<CAIResponseItemAttachmentAdd>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAICommandItemAttachmentAdd

    public CAICommandItemAttachmentAdd(CAItemID item, CAFileID file, String relation)
    Add an attachment to an item.

- ## Method Details

  - ### responseClass

    public Class<CAIResponseItemAttachmentAdd> responseClass()
    Specified by:
      `responseClass` in interface `CAICommandType<CAIResponseItemAttachmentAdd>`
    Returns:
      The response class associated with this command (excluding the error response)

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### item

    public CAItemID item()
    Returns the value of the `item` record component.
    Returns:
      the value of the `item` record component

  - ### file

    public CAFileID file()
    Returns the value of the `file` record component.
    Returns:
      the value of the `file` record component

  - ### relation

    public String relation()
    Returns the value of the `relation` record component.
    Returns:
      the value of the `relation` record component